### Constructor

# Gtk IconView new_with_area

#### Declaration [src]

    GtkWidget*
    gtk_icon_view_new_with_area (
      GtkCellArea* area
    )

#### Description [src]

Creates a new `GtkIconView` widget using the specified `area` to layout cells inside the icons.

#### Parameters

`area` | `GtkCellArea`
| The `GtkCellArea` to use to layout cells.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A newly created `GtkIconView` widget.
| The data is owned by the called function.